commit:     b167e1f5c097d2dfc13f981480eaecab229b2d55
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 12 22:59:24 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue Jul 12 23:01:30 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b167e1f5

games-action/noiz2sa: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: portage-2.3.0

 .../noiz2sa/files/noiz2sa-0.51a-underlink.patch    |  4 +-
 games-action/noiz2sa/noiz2sa-0.51a-r1.ebuild       | 43 ++++++++++++++++++++++
 2 files changed, 45 insertions(+), 2 deletions(-)

diff --git a/games-action/noiz2sa/files/noiz2sa-0.51a-underlink.patch 
b/games-action/noiz2sa/files/noiz2sa-0.51a-underlink.patch
index adb1b0c..6d6ab9f 100644
--- a/games-action/noiz2sa/files/noiz2sa-0.51a-underlink.patch
+++ b/games-action/noiz2sa/files/noiz2sa-0.51a-underlink.patch
@@ -1,5 +1,5 @@
---- makefile.lin.old   2011-06-14 08:03:28.928366818 +0200
-+++ makefile.lin       2011-06-14 08:07:43.199113541 +0200
+--- a/makefile.lin     2011-06-14 08:03:28.928366818 +0200
++++ b/makefile.lin     2011-06-14 08:07:43.199113541 +0200
 @@ -4,18 +4,13 @@
  NAME   = noiz2sa
  O      = o

diff --git a/games-action/noiz2sa/noiz2sa-0.51a-r1.ebuild 
b/games-action/noiz2sa/noiz2sa-0.51a-r1.ebuild
new file mode 100644
index 0000000..9da5729
--- /dev/null
+++ b/games-action/noiz2sa/noiz2sa-0.51a-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils user
+
+DESCRIPTION="Abstract Shooting Game"
+HOMEPAGE="http://www.asahi-net.or.jp/~cs8k-cyu/windows/noiz2sa_e.html 
http://sourceforge.net/projects/noiz2sa/";
+SRC_URI="mirror://sourceforge/noiz2sa/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND="
+       >=dev-libs/libbulletml-0.0.3
+       media-libs/sdl-mixer[vorbis]
+       virtual/opengl"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${PN}/src
+
+PATCHES=(
+       "${FILESDIR}"/${P}-gcc41.patch
+       "${FILESDIR}"/${P}-underlink.patch
+)
+
+src_prepare(){
+       default
+       cp makefile.lin Makefile || die
+}
+
+src_install(){
+       local datadir="/usr/share/games/${PN}"
+
+       dobin ${PN}
+       dodir "${datadir}"
+       dodoc ../readme*
+
+       cp -r ../noiz2sa_share/* "${D}/${datadir}" || die
+}

Reply via email to